diff --git a/src/common/unicode/generate-unicode_norm_table.pl b/src/common/unicode/generate-unicode_norm_table.pl
index e4d3ccc234..804841c1b1 100644
--- a/src/common/unicode/generate-unicode_norm_table.pl
+++ b/src/common/unicode/generate-unicode_norm_table.pl
@@ -400,7 +400,7 @@ sub recomp_sort
 	my $bcode = hex($b->{code});
 
 	return -1 if $acode < $bcode;
-	return -1 if $acode > $bcode;
+	return 1 if $acode > $bcode;
 
 	die "found duplicate entries of recomposeable code pairs";
 }
diff --git a/src/common/unicode_norm.c b/src/common/unicode_norm.c
index abb83cbf98..d46e33d322 100644
--- a/src/common/unicode_norm.c
+++ b/src/common/unicode_norm.c
@@ -22,10 +22,10 @@
 #ifndef FRONTEND
 #include "common/unicode_norm_hashfunc.h"
 #include "common/unicode_normprops_table.h"
+#include "port/pg_bswap.h"
 #else
 #include "common/unicode_norm_table.h"
 #endif
-#include "port/pg_bswap.h"
 
 #ifndef FRONTEND
 #define ALLOC(size) palloc(size)
